Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# GIOP::Version_var Class Reference

`#include <GIOPC.h>`

Collaboration diagram for GIOP::Version_var:

[legend]
List of all members.

## Public Methods
| Version_var (void)
| Version_var (Version *)
| Version_var (const Version_var &)
| Version_var (const Version &)
| ~Version_var (void)
Version_var & | operator= (Version *)
Version_var & | operator= (const Version_var &)
Version_var & | operator= (const Version &)
Version * | operator-> (void)
const Version * | operator-> (void) const
| operator const Version & () const
| operator Version & ()
| operator Version & () const
const Version & | in (void) const
Version & | inout (void)
Version & | out (void)
Version | _retn (void)
Version * | ptr (void) const
## Private Attributes
Version * | ptr_

## Constructor & Destructor Documentation

ACE_INLINE GIOP::Version_var::Version_var | ( | void |  | ) |

ACE_INLINE GIOP::Version_var::Version_var | ( | Version * | p | ) |

GIOP::Version_var::Version_var | ( | const Version_var & |  | ) |

GIOP::Version_var::Version_var | ( | const Version & |  | ) |

ACE_INLINE GIOP::Version_var::~Version_var | ( | void |  | ) |

## Member Function Documentation

Version GIOP::Version_var::_retn | ( | void |  | ) |

const Version& GIOP::Version_var::in | ( | void |  | ) | const

Version& GIOP::Version_var::inout | ( | void |  | ) |

GIOP::Version_var::operator const Version & | ( |  | ) | const

GIOP::Version_var::operator Version & | ( |  | ) | const

GIOP::Version_var::operator Version & | ( |  | ) |

ACE_INLINE const ::GIOP::Version * GIOP::Version_var::operator-> | ( | void |  | ) | const

ACE_INLINE::GIOP::Version * GIOP::Version_var::operator-> | ( | void |  | ) |

Version_var& GIOP::Version_var::operator= | ( | const Version & |  | ) |

Version_var& GIOP::Version_var::operator= | ( | const Version_var & |  | ) |

ACE_INLINE GIOP::Version_var & GIOP::Version_var::operator= | ( | Version * | p | ) |

Version& GIOP::Version_var::out | ( | void |  | ) |

Version* GIOP::Version_var::ptr | ( | void |  | ) | const

## Member Data Documentation

Version* GIOP::Version_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- GIOPC.h
- GIOPC.i